# Comfort Calculation Tweaks for Valheim

## Features

Configs for
- Comfort radius
- Comfort requires roof?
- Show comfort items providing comfort
- Show missing buildable comfort items
- Rested delay
- Rested base time
- Rested time per comfort point

Configs for Rested buff:
- Experience Multiplier 
- **HP Regeneration Multiplier**
- **Stamina Regeneration Multiplier**
- Stamina Decrease for running
- Stamina Decrease for jumping
- **Damage Multiplier**
- **Carry Weight**
- Stay Rested on Logout

**bold** configs scaleable with bosses killed

Configs for Resting:
- Hp Regeneration Multiplier
- Stamina Regeneration Multiplier

Enable Recipes for
- Maypole
- Yule Tree

## Pre-Requisites

This mod requires BepInEx. Follow the instructions here if you don't have it installed already: https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/

## Installation (manual)

If you are installing this manually, do the following _(You will need Bepinex installed)_

1. Extract the archive into a folder. **Do not extract into the game folder.**
2. Move the contents of `plugins` folder into `<GameDirectory>\Bepinex\plugins`.
3. Run the game, it will generate automatically an configuration file into `<GameDirectory>\Bepinex\config`

## Config

```
## Settings file was created by plugin Comfort Tweaks v2.5.0
## Plugin GUID: xyz.alcan.comfortcalc

[1. Mod Options]

## If the mod is enabled
# Setting type: Boolean
# Default value: true
Mod Enabled = true

## The configuration is locked and may not be changed by clients. Only active for servers.
# Setting type: Boolean
# Default value: false
Config Locked = false

[2. Resting]

## Range of comfort detection
# Setting type: Int32
# Default value: 10
# Acceptable value range: From 10 to 100
Comfort Range = 10

## Dont require shelter for comfort bonus pieces (You still need to sit)
# Setting type: Boolean
# Default value: false
Ignore Shelter = false

## Seconds resting before rested
# Setting type: Int32
# Default value: 20
# Acceptable value range: From 0 to 100
Rested Delay = 20

## Stamina Regen Multiplier while Resting
# Setting type: Int32
# Default value: 400
# Acceptable value range: From 0 to 1000
Stamina Regen Multiplier Percent = 400

## Health Regen Multiplier while Resting
# Setting type: Int32
# Default value: 300
# Acceptable value range: From 0 to 1000
Health Regen Multiplier Percent = 300

[3. Rested Buff]

## Base Rested Time in Seconds
# Setting type: Int32
# Default value: 480
# Acceptable value range: From 0 to 3000
Base Rested Time = 480

## Seconds Rested per Comfort Level in Seconds
# Setting type: Int32
# Default value: 60
# Acceptable value range: From 0 to 3000
Rested per Comfort = 60

## Experience Multiplier
# Setting type: Int32
# Default value: 50
# Acceptable value range: From 0 to 500
Rested Xp Multiplier Percent = 50

## Stamina Regen Multiplier
# Setting type: Int32
# Default value: 200
# Acceptable value range: From 0 to 1000
Stamina Regen Multiplier Percent = 200

## Decreased Stamina Use for Running
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 100
Run Stamina Drain Modifier Percent = 0

## Decreased Stamina Use for Jumping
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 100
Jump Stamina Drain Modifier Percent = 0

## HP Regen Multiplier
# Setting type: Int32
# Default value: 150
# Acceptable value range: From 0 to 3000
Health Regen Multiplier Percent = 150

## Damage Done during Rested
# Setting type: Int32
# Default value: 100
# Acceptable value range: From 0 to 1000
Damage Modifier Percent = 100

## Carry Weight added
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 1000
Added Max Carry Weight = 0

## Save Rested buff on Logout
# Setting type: Boolean
# Default value: false
Stay Rested between Sessions = false

[4. Comfort Pieces List]

## Show the comfort pieces that are currently providing comfort
# Setting type: Boolean
# Default value: false
Show Comfort Pieces List = false

## X value in % of the Screen from Top Left
# Setting type: Int32
# Default value: 2
# Acceptable value range: From 0 to 100
X Value = 2

## Y value in % of the Screen from Top Left
# Setting type: Int32
# Default value: 35
# Acceptable value range: From 0 to 100
Y Value = 35

## Font color of the Comfort Pieces List
# Setting type: Color
# Default value: FFFFFFFF
Font Color = FFFFFFFF

## Font size
# Setting type: Int32
# Default value: 24
Font Size = 24

## Show/Hide the list of comfort pieces
# Setting type: KeyCode
# Default value: F7
# Acceptable values: None, Backspace, Tab, Clear, Return, Pause, Escape, Space, Exclaim, DoubleQuote, Hash, Dollar, Percent, Ampersand, Quote, LeftParen, RightParen, Asterisk, Plus, Comma, Minus, Period, Slash, Alpha0, Alpha1, Alpha2, Alpha3, Alpha4, Alpha5, Alpha6, Alpha7, Alpha8, Alpha9, Colon, Semicolon, Less, Equals, Greater, Question, At, LeftBracket, Backslash, RightBracket, Caret, Underscore, BackQuote, A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, LeftCurlyBracket, Pipe, RightCurlyBracket, Tilde, Delete, Keypad0, Keypad1, Keypad2, Keypad3, Keypad4, Keypad5, Keypad6, Keypad7, Keypad8, Keypad9, KeypadPeriod, KeypadDivide, KeypadMultiply, KeypadMinus, KeypadPlus, KeypadEnter, KeypadEquals, UpArrow, DownArrow, RightArrow, LeftArrow, Insert, Home, End, PageUp, PageDown, F1, F2, F3, F4, F5, F6, F7, F8, F9, F10, F11, F12, F13, F14, F15, Numlock, CapsLock, ScrollLock, RightShift, LeftShift, RightControl, LeftControl, RightAlt, LeftAlt, RightCommand, RightApple, LeftCommand, LeftApple, LeftWindows, RightWindows, AltGr, Help, Print, SysReq, Break, Menu, Mouse0, Mouse1, Mouse2, Mouse3, Mouse4, Mouse5, Mouse6, JoystickButton0, JoystickButton1, JoystickButton2, JoystickButton3, JoystickButton4, JoystickButton5, JoystickButton6, JoystickButton7, JoystickButton8, JoystickButton9, JoystickButton10, JoystickButton11, JoystickButton12, JoystickButton13, JoystickButton14, JoystickButton15, JoystickButton16, JoystickButton17, JoystickButton18, JoystickButton19, Joystick1Button0, Joystick1Button1, Joystick1Button2, Joystick1Button3, Joystick1Button4, Joystick1Button5, Joystick1Button6, Joystick1Button7, Joystick1Button8, Joystick1Button9, Joystick1Button10, Joystick1Button11, Joystick1Button12, Joystick1Button13, Joystick1Button14, Joystick1Button15, Joystick1Button16, Joystick1Button17, Joystick1Button18, Joystick1Button19, Joystick2Button0, Joystick2Button1, Joystick2Button2, Joystick2Button3, Joystick2Button4, Joystick2Button5, Joystick2Button6, Joystick2Button7, Joystick2Button8, Joystick2Button9, Joystick2Button10, Joystick2Button11, Joystick2Button12, Joystick2Button13, Joystick2Button14, Joystick2Button15, Joystick2Button16, Joystick2Button17, Joystick2Button18, Joystick2Button19, Joystick3Button0, Joystick3Button1, Joystick3Button2, Joystick3Button3, Joystick3Button4, Joystick3Button5, Joystick3Button6, Joystick3Button7, Joystick3Button8, Joystick3Button9, Joystick3Button10, Joystick3Button11, Joystick3Button12, Joystick3Button13, Joystick3Button14, Joystick3Button15, Joystick3Button16, Joystick3Button17, Joystick3Button18, Joystick3Button19, Joystick4Button0, Joystick4Button1, Joystick4Button2, Joystick4Button3, Joystick4Button4, Joystick4Button5, Joystick4Button6, Joystick4Button7, Joystick4Button8, Joystick4Button9, Joystick4Button10, Joystick4Button11, Joystick4Button12, Joystick4Button13, Joystick4Button14, Joystick4Button15, Joystick4Button16, Joystick4Button17, Joystick4Button18, Joystick4Button19, Joystick5Button0, Joystick5Button1, Joystick5Button2, Joystick5Button3, Joystick5Button4, Joystick5Button5, Joystick5Button6, Joystick5Button7, Joystick5Button8, Joystick5Button9, Joystick5Button10, Joystick5Button11, Joystick5Button12, Joystick5Button13, Joystick5Button14, Joystick5Button15, Joystick5Button16, Joystick5Button17, Joystick5Button18, Joystick5Button19, Joystick6Button0, Joystick6Button1, Joystick6Button2, Joystick6Button3, Joystick6Button4, Joystick6Button5, Joystick6Button6, Joystick6Button7, Joystick6Button8, Joystick6Button9, Joystick6Button10, Joystick6Button11, Joystick6Button12, Joystick6Button13, Joystick6Button14, Joystick6Button15, Joystick6Button16, Joystick6Button17, Joystick6Button18, Joystick6Button19, Joystick7Button0, Joystick7Button1, Joystick7Button2, Joystick7Button3, Joystick7Button4, Joystick7Button5, Joystick7Button6, Joystick7Button7, Joystick7Button8, Joystick7Button9, Joystick7Button10, Joystick7Button11, Joystick7Button12, Joystick7Button13, Joystick7Button14, Joystick7Button15, Joystick7Button16, Joystick7Button17, Joystick7Button18, Joystick7Button19, Joystick8Button0, Joystick8Button1, Joystick8Button2, Joystick8Button3, Joystick8Button4, Joystick8Button5, Joystick8Button6, Joystick8Button7, Joystick8Button8, Joystick8Button9, Joystick8Button10, Joystick8Button11, Joystick8Button12, Joystick8Button13, Joystick8Button14, Joystick8Button15, Joystick8Button16, Joystick8Button17, Joystick8Button18, Joystick8Button19
Toggle Visibility = F7

[5. Enable Pieces]

## Make Maypole buildable
# Setting type: Boolean
# Default value: false
enable Maypole = false

## Make Yule Tree buildable
# Setting type: Boolean
# Default value: false
enable Yule Tree = false

[5. Missing Comfort Pieces]

## Lists comfort pieces you dont have the comfort from
# Setting type: Boolean
# Default value: false
Show Missing Comfort Pieces = false

## Lists only unlocked comfort pieces youre able to build but dont have the comfort from
# Setting type: Boolean
# Default value: true
Show Only Known Missing Comfort Pieces = true

## Font color of the Missing Pieces List
# Setting type: Color
# Default value: FF0000FF
Missing Pieces Font Color = FF0000FF

[6. Boss Multipliers]

## Adds RestedPerComfort/6 seconds per comfort point per unique boss killed
# Setting type: Boolean
# Default value: false
Rested time per Comfort Point = false

## Multiply the Rested Experience Modifier in [Part 3] with the amount of unique bosses killed
# Setting type: Boolean
# Default value: false
Xp Multiplier = false

## Multiply the Rested Stamina Regeneration in [Part 3] with the amount of unique bosses killed
# Setting type: Boolean
# Default value: false
Stamina Regen = false

## Multiply the Rested HP Regeneration in [Part 3] with the amount of unique bosses killed
# Setting type: Boolean
# Default value: false
Hp Regen = false

## Multiply the Rested bonus Carry Weight in [Part 3] with the amount of unique bosses killed
# Setting type: Boolean
# Default value: false
Carry Weight = false

## Multiply the Rested Damage Modifier in [Part 3] with the amount of unique bosses killed
# Setting type: Boolean
# Default value: false
Damage Modifier = false

[7. Comfort Piece Settings]

# Setting type: Int32
# Default value: 1
Bed = 1

# Setting type: Int32
# Default value: 1
Bonfire = 1

# Setting type: Int32
# Default value: 1
Campfire = 1

# Setting type: Int32
# Default value: 2
Hearth = 2

# Setting type: Int32
# Default value: 1
Black banner = 1

# Setting type: Int32
# Default value: 1
Blue banner = 1

# Setting type: Int32
# Default value: 1
White and red striped banner = 1

# Setting type: Int32
# Default value: 1
Red banner = 1

# Setting type: Int32
# Default value: 1
Green banner = 1

# Setting type: Int32
# Default value: 2
Dragon bed = 2

# Setting type: Int32
# Default value: 1
Bench = 1

# Setting type: Int32
# Default value: 1
Hanging brazier = 1

# Setting type: Int32
# Default value: 1
Stool = 1

# Setting type: Int32
# Default value: 2
Chair = 2

# Setting type: Int32
# Default value: 1
Maypole = 1

# Setting type: Int32
# Default value: 1
Table = 1

# Setting type: Int32
# Default value: 3
Raven throne = 3

# Setting type: Int32
# Default value: 1
Yule tree = 1

# Setting type: Int32
# Default value: 1
Deer rug = 1

# Setting type: Int32
# Default value: 1
Lox rug = 1

# Setting type: Int32
# Default value: 1
Wolf rug = 1

[9. Advanced Options]

## Saves the Value of Hotkey Toggle
# Setting type: Boolean
# Default value: true
Value of Hotkey toggle (showing/not showing) = true

```
